# Update product profile

## PUT /public/v1/public-catalog/product-profiles/{id}

> Updates an existing product-profile record in the public catalog.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/public-catalog/product-profiles/{id}":{"put":{"tags":["ProductProfiles"],"summary":"Updates an existing product-profile record in the public catalog.","parameters":[{"name":"id","in":"path","description":"The unique identifier of the product-profile to update.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"productProfile":{"type":"object","properties":{"ProductProfile.Node.Name":{"type":"string"},"ProductProfile.Node.Children":{"type":"array","items":{"$ref":"#/components/schemas/DeltaNode"}},"ProductProfile.Path":{"type":"string"},"ProductProfile.Data.Name":{"type":"string"},"ProductProfile.Data.ShortDescription":{"type":"string"},"ProductProfile.Data.LongDescription":{"type":"string"},"ProductProfile.Data.Featured":{"type":"boolean"},"ProductProfile.Data.Website":{"type":"string"},"ProductProfile.Data.LinkedIn":{"type":"string"},"ProductProfile.Data.Facebook":{"type":"string"},"ProductProfile.Data.YouTube":{"type":"string"},"ProductProfile.Data.XProfile":{"type":"string"},"ProductProfile.Data.Categories":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"ProductProfile.Data.Industries":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"ProductProfile.Data.Segments":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"ProductProfile.Data.VendorProfile.Id":{"type":"string"},"ProductProfile.Data.Products":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"ProductProfile.IsDefined":{"type":"boolean"}},"description":"Json representation of the productProfile"},"icon":{"type":"string","description":"Icon file associated with the Product Profile.","format":"binary"}}},"encoding":{"productProfile":{"contentType":"application/json"},"icon":{"contentType":"application/octet-stream"}}},"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductProfile"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductProfile"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"DeltaNode":{"type":"object","properties":{"name":{"type":"string"},"children":{"type":"array","items":{"$ref":"#/components/schemas/DeltaNode"},"readOnly":true}},"additionalProperties":false},"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"UpdateProductProfile":{"type":"object","properties":{"name":{"type":"string"},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"featured":{"type":"boolean","nullable":true},"website":{"type":"string","nullable":true},"linkedIn":{"type":"string","nullable":true},"facebook":{"type":"string","nullable":true},"youTube":{"type":"string","nullable":true},"xProfile":{"type":"string","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"industries":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"segments":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"vendorProfile":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}]},"products":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}}},"additionalProperties":false},"ProductProfile":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductProfileAudit"}],"description":"Audit information related to lifecycle events of a product profile."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"shortDescription":{"type":"string","description":"Descriptive text that provides details about the vendor.","nullable":true},"longDescription":{"type":"string","description":"Descriptive text that provides details about the vendor.","nullable":true},"featured":{"type":"boolean","description":"Indicates whether the product profile is marked as featured.","nullable":true},"website":{"type":"string","description":"The vendor's official website URL.","nullable":true},"linkedIn":{"type":"string","description":"URL of the vendor's LinkedIn profile.","nullable":true},"facebook":{"type":"string","description":"URL of the vendor's Facebook page.","nullable":true},"youTube":{"type":"string","description":"URL of the vendor's YouTube channel.","nullable":true},"xProfile":{"type":"string","description":"URL of the vendor's X (formerly Twitter) profile.","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/CategoryEntityRef"},"description":"Categories associated with the product profile.","nullable":true},"industries":{"type":"array","items":{"$ref":"#/components/schemas/IndustryRef"},"description":"Industries associated with the product profile.","nullable":true},"segments":{"type":"array","items":{"$ref":"#/components/schemas/SegmentRef"},"description":"Segments associated with the product profile.","nullable":true},"vendorProfile":{"allOf":[{"$ref":"#/components/schemas/VendorProfile"}],"description":"VendorProfile associated with the product profile.","nullable":true},"products":{"type":"array","items":{"$ref":"#/components/schemas/ProductRef"},"description":"Products associated with the product profile.","nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string","description":"Current publication status of the product profile."}},"additionalProperties":false,"description":"Represents a public catalog product profile entity exposed by the platform."},"ProductProfileAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the product profile was published.","nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the product profile was unpublished.","nullable":true}},"additionalProperties":false,"description":"Audit information related to lifecycle events of a product profile."},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"CategoryEntityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"IndustryRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"SegmentRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"VendorProfile":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/VendorProfileAudit"}],"description":"Audit information related to lifecycle events of a vendor profile."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Descriptive text that provides details about the vendor.","nullable":true},"featured":{"type":"boolean","description":"Indicates whether the vendor profile is marked as featured.","nullable":true},"website":{"type":"string","description":"The vendor's official website URL.","nullable":true},"linkedIn":{"type":"string","description":"URL of the vendor's LinkedIn profile.","nullable":true},"facebook":{"type":"string","description":"URL of the vendor's Facebook page.","nullable":true},"youTube":{"type":"string","description":"URL of the vendor's YouTube channel.","nullable":true},"xProfile":{"type":"string","description":"URL of the vendor's X (formerly Twitter) profile.","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/CategoryEntityRef"},"description":"Categories associated with the vendor profile.","nullable":true},"productProfiles":{"type":"array","items":{"$ref":"#/components/schemas/ProductProfileRef"},"description":"ProductProfiles associated with the vendor profile.","nullable":true},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}],"description":"Vendor associated with the vendor profile.","nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string","description":"Current publication status of the vendor profile."}},"additionalProperties":false,"description":"Represents a public catalog vendor profile entity exposed by the platform."},"VendorProfileAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the vendor profile was published.","nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the vendor profile was unpublished.","nullable":true}},"additionalProperties":false,"description":"Audit information related to lifecycle events of a vendor profile."},"ProductProfileRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"vendorProfile":{"allOf":[{"$ref":"#/components/schemas/VendorProfile"}],"description":"VendorProfile associated with the product profile.","nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string","description":"Current publication status of the product profile."}},"additionalProperties":false,"description":"Represents a public catalog product profile entity exposed by the platform."},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"ProductRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"status":{"type":"string"}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
